aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-04-29 22:04:24 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2015-04-29 22:04:24 +0200
commit31d1db9df064d1a61ea1541d991947370bbf4602 (patch)
tree1cd73d282f4b8f5c47d33e0aca87454d791b8f68
parentb7a9bd6afa7245fe926a14881d1b158544e7bc1b (diff)
downloadaports-31d1db9df064d1a61ea1541d991947370bbf4602.tar.gz
aports-31d1db9df064d1a61ea1541d991947370bbf4602.tar.bz2
aports-31d1db9df064d1a61ea1541d991947370bbf4602.tar.xz
main/lua-openrc: add fix for openrc-0.14
-rw-r--r--main/lua-openrc/0001-build-fix-for-openrc-0.14.patch22
-rw-r--r--main/lua-openrc/APKBUILD21
2 files changed, 38 insertions, 5 deletions
diff --git a/main/lua-openrc/0001-build-fix-for-openrc-0.14.patch b/main/lua-openrc/0001-build-fix-for-openrc-0.14.patch
new file mode 100644
index 0000000000..ca133eff28
--- /dev/null
+++ b/main/lua-openrc/0001-build-fix-for-openrc-0.14.patch
@@ -0,0 +1,22 @@
+From 01fb19ba4af6936559878beb1fac8de008fc2f68 Mon Sep 17 00:00:00 2001
+From: Natanael Copa <ncopa@alpinelinux.org>
+Date: Wed, 29 Apr 2015 19:27:20 +0200
+Subject: [PATCH] build fix for openrc-0.14
+
+---
+ rc.c | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/rc.c b/rc.c
+index 4ab8036..fcb3d5c 100644
+--- a/rc.c
++++ b/rc.c
+@@ -1,4 +1,5 @@
+
++#include <sys/queue.h>
+ #include <string.h>
+
+ #include <rc.h>
+--
+2.3.6
+
diff --git a/main/lua-openrc/APKBUILD b/main/lua-openrc/APKBUILD
index 2e48bf319a..7e73de96e4 100644
--- a/main/lua-openrc/APKBUILD
+++ b/main/lua-openrc/APKBUILD
@@ -2,7 +2,7 @@
_luaversions="5.1 5.2 5.3"
pkgname=lua-openrc
pkgver=0.2
-pkgrel=1
+pkgrel=2
pkgdesc="Lua module for OpenRC"
url="https://github.com/ncopa/lua-openrc"
arch="all"
@@ -15,12 +15,20 @@ for _i in $_luaversions; do
makedepends="$makedepends lua$_i-dev"
subpackages="$subpackages lua$_i-openrc:split_${_i/./_}"
done
-source="lua-openrc-$pkgver.tar.gz::https://github.com/ncopa/lua-openrc/archive/v$pkgver.tar.gz"
+source="lua-openrc-$pkgver.tar.gz::https://github.com/ncopa/lua-openrc/archive/v$pkgver.tar.gz
+ 0001-build-fix-for-openrc-0.14.patch
+ "
_sdir="$srcdir"/$pkgname-$pkgver
prepare() {
+ cd "$_sdir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
for _i in $_luaversions; do
cp -r "$_sdir" "$srcdir"/build-$_i || return 1
done
@@ -57,6 +65,9 @@ for _i in $_luaversions; do
eval "split_${_i/./_}() { _split $_i; }"
done
-md5sums="764b4ec74d059541acc4bd3fb8581c1c lua-openrc-0.2.tar.gz"
-sha256sums="f7e961386783c6a73301bb0342a7c2c799c34464daff4a3125c6eaf463e251e5 lua-openrc-0.2.tar.gz"
-sha512sums="f560cbef63d7d1565dacd9ec2f8dc91d4c08397dfcd546dd446d3834caef8d545cab6d0b7ea5a095090e3069935eb9adfa35e75414d7dcfa2ae8951186221970 lua-openrc-0.2.tar.gz"
+md5sums="764b4ec74d059541acc4bd3fb8581c1c lua-openrc-0.2.tar.gz
+36e0f502cdc3220d9b45577264ba2c42 0001-build-fix-for-openrc-0.14.patch"
+sha256sums="f7e961386783c6a73301bb0342a7c2c799c34464daff4a3125c6eaf463e251e5 lua-openrc-0.2.tar.gz
+12784c3693ab9774ee60c9865675bae9504b34e8d3b3addcca8d182bd6b52a8a 0001-build-fix-for-openrc-0.14.patch"
+sha512sums="f560cbef63d7d1565dacd9ec2f8dc91d4c08397dfcd546dd446d3834caef8d545cab6d0b7ea5a095090e3069935eb9adfa35e75414d7dcfa2ae8951186221970 lua-openrc-0.2.tar.gz
+d195d39ffdcb6334b885288ba501138b4c63db2387ea8e8c041919a858274647be0f71855eb9c3d4ffeeaf07b18862e7ff865fe11b23e16995935c17f547511f 0001-build-fix-for-openrc-0.14.patch"